<template>
    <div id="insert">
        <h4 class="font-weight-normal">Which kind of data would you like to insert?</h4>
        <div class="form-check">
            <label class="form-check-label">
                <input type="radio" class="form-check-input" name="table" @click="selectTitle">
                Title
            </label>
        </div>
        <div class="form-check">
            <label class="form-check-label">
                <input type="radio" class="form-check-input" name="table" @click="selectPerson">
                Person
            </label>
        </div>
        <div class="form-check">
            <label class="form-check-label">
                <input type="radio" class="form-check-input" name="table" @click="selectWork">
                Work
            </label>
        </div>
        <person-form v-if="isPerson"/>
        <title-form v-if="isTitle"/>
        <work-form v-if="isWork"/>
    </div>
</template>

<script>
    import PersonForm from "@/components/PersonForm";
    import WorkForm from "@/components/WorkForm";
    import TitleForm from "@/components/TitleForm";

    export default {
        name: 'insert',
        components: {
            TitleForm,
            WorkForm,
            PersonForm
        },
        data() {
            return {
                table: ''
            }
        },
        computed: {
            isPerson() {
                return this.table === 'person'
            },
            isTitle() {
                return this.table === 'title'
            },
            isWork() {
                return this.table === 'work'
            },
        },
        methods: {
            selectPerson() {
                this.table = 'person';
                this.$forceUpdate();
            },
            selectTitle() {
                this.table = 'title';
                this.$forceUpdate();
            },
            selectWork() {
                this.table = 'work';
                this.$forceUpdate();
            }
        }
    }
</script>

<style scoped>
    label {
        display: block;
    }
</style>